﻿using Syncfusion.Windows.Forms.Grid;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Data.SqlClient;
using System.Data.SqlServerCe;
using System.Drawing;
using System.IO;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;



namespace WindowsFormsApplication11
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
           

            DataTable table = new DataTable("Customers");
            table.Columns.Add(new DataColumn("FirstName"));
            table.Columns.Add(new DataColumn("LastName"));

            // Add some rows.
            DataRow dr = table.NewRow();
            dr["FirstName"] = "John";
            dr["LastName"] = "Smith";
            table.Rows.Add(dr);

            dr = table.NewRow();
            dr["FirstName"] = "Mary";
            dr["LastName"] = "Tucker";
            table.Rows.Add(dr);

            dr = table.NewRow();
            dr["FirstName"] = "Sue";
            dr["LastName"] = "Gaskins";
            table.Rows.Add(dr);

            dr = table.NewRow();
            dr["FirstName"] = "John";
            dr["LastName"] = "Jacobs";
            table.Rows.Add(dr);
 
        
            this.gridControl1.RowCount = table.Rows.Count;
            this.gridControl1.ColCount = table.Columns.Count;

            this.gridControl1.PopulateValues(GridRangeInfo.Cells(1, 1, gridControl1.RowCount, gridControl1.ColCount), table);
            this.gridControl1.ColWidths.ResizeToFit(GridRangeInfo.Cols(1, gridControl1.ColCount));
            this.gridControl1.RowHeights.ResizeToFit(GridRangeInfo.Cols(1, gridControl1.RowCount));

			this.gridControl1.BackColor=Color.White;

			
			this.gridControl1.AlphaBlendSelectionColor=Color.CornflowerBlue;
            this.gridControl1.GridVisualStyles = Syncfusion.Windows.Forms.GridVisualStyles.Metro;
          

      
		}
       
        private string FindFile(string connstring)
        {
            connstring = @"common\data\" + connstring;
            for (int n = 0; n < 10; n++)
            {
                if (System.IO.File.Exists(connstring))
                    return new FileInfo(connstring).FullName;
                connstring = @"..\" + connstring;
            }

            return connstring;
        }

        }
    }


